body {
  margin: 0;
  font-family: Inter;
  background: #0B0F19;
  color: white;
}

.container {
  max-width: 1100px;
  margin: auto;
  padding: 60px 20px;
}

/* HERO */
.hero {
  display: flex;
  justify-content: space-between;
  align-items: center;
  min-height: 100vh;
  gap: 40px;
}

.hero h1 {
  font-size: 48px;
}

.hero h2 {
  color: #F97316;
}

.desc {
  color: #9ca3af;
  max-width: 420px;
}

/* HERO CARD */
.hero-card {
  background: #111827;
  border: 1px solid #1f2937;
  padding: 18px;
  border-radius: 12px;
  margin-bottom: 20px;
}

.ai-note {
  font-size: 12px;
  color: #9ca3af;
}

/* CONTACT */
.contact-hero {
  margin-top: 20px;
}

.contact-hero a {
  margin-right: 12px;
  color: #F97316;
  text-decoration: none;
  font-size: 14px;
}

/* BUTTONS */
.buttons {
  margin-top: 20px;
}

.btn {
  display: inline-block;
  padding: 10px 16px;
  border: 1px solid #374151;
  color: white;
  text-decoration: none;
  margin-right: 10px;
  border-radius: 8px;
}

.primary {
  background: #F97316;
  border: none;
}

/* HERO IMAGE (UPDATED) */
.hero-image {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.hero-image img {
  width: 380px;
  height: 520px;
  object-fit: cover;

  border-radius: 18px;
  border: none;

  mask-image: linear-gradient(
    to right,
    transparent 0%,
    black 15%,
    black 100%
  );

  -webkit-mask-image: linear-gradient(
    to right,
    transparent 0%,
    black 15%,
    black 100%
  );

  filter: contrast(1.05) saturate(0.95);
}

/* SKILLS */
section {
  margin-top: 90px;
}

h2 {
  font-size: 28px;
  margin-bottom: 20px;
}

.grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
}

.grid div {
  background: #111827;
  padding: 20px;
  border-radius: 10px;
  border: 1px solid #1f2937;
}

/* PROJECT */
.project-card {
  display: flex;
  gap: 20px;
  background: #111827;
  border: 1px solid #1f2937;
  padding: 18px;
  border-radius: 14px;
  margin-bottom: 20px;
}

.project-media img {
  width: 320px;
  border-radius: 10px;
}

.stack {
  color: #F97316;
  margin: 10px 0;
  font-size: 13px;
}

pre {
  background: #0B0F19;
  padding: 10px;
  border-radius: 8px;
  color: #9ca3af;
}

/* PROJECT BUTTONS */
.project-actions {
  margin-top: 12px;
  display: flex;
  gap: 10px;
}

.demo {
  background: #F97316;
  padding: 8px 12px;
  border-radius: 8px;
  color: white;
  text-decoration: none;
}

.source {
  border: 1px solid #374151;
  padding: 8px 12px;
  border-radius: 8px;
  color: white;
  text-decoration: none;
}

/* FOOTER */
footer {
  margin-top: 80px;
  text-align: center;
  color: #6b7280;
}

.line {
  height: 1px;
  background: #1f2937;
  margin-bottom: 20px;
}

/* RESPONSIVE */
@media (max-width: 768px) {

  .hero {
    flex-direction: column;
    text-align: center;
  }

  .grid {
    grid-template-columns: 1fr;
  }

  .project-card {
    flex-direction: column;
  }

  .project-media img {
    width: 100%;
  }
}
